hadoop-common-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Apache Hudson Server <hud...@hudson.zones.apache.org>
Subject Build failed in Hudson: Hadoop-trunk #782
Date Tue, 17 Mar 2009 18:11:20 GMT
See http://hudson.zones.apache.org/hudson/job/Hadoop-trunk/782/changes

Changes:

[ddas] HADOOP-5483. Fixes a problem in the Directory Cleanup Thread due to which TestMiniMRWithDFS
sometimes used to fail. Contributed by Devaraj Das.

[ddas] HADOOP-5103. Moving the comment about 5103 in CHANGES.txt to the 0.20.0 section.

[shv] HADOOP-5511. Add Apache License to EditLogBackupOutputStream. Contributed by Konstantin
Shvachko.

[hairong] Fixed IOException while executing hadoop fs -touchz fileName by making sure that
the lease
renewal thread exits before dfs client closes. Contributed by Hairong Kuang.

[acmurthy] HADOOP-5442. Paginate jobhistory display and added some search capabilities. Contributed
by Amar Kamat.

[ddas] HADOOP-5493. The shuffle copier threads return the codecs back to the pool when the
shuffle completes. Contributed by Jothi Padmanabhan.

------------------------------------------
[...truncated 208820 lines...]
    [junit] Test org.apache.hadoop.mapred.jobcontrol.TestLocalJobControl FAILED
    [junit] Running org.apache.hadoop.mapred.join.TestDatamerge
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Tests run: 0, Failures: 0, Errors: 1, Time elapsed: 0.159 sec
    [junit] Test org.apache.hadoop.mapred.join.TestDatamerge FAILED
    [junit] Running org.apache.hadoop.mapred.join.TestTupleWritable
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Tests run: 3, Failures: 0, Errors: 3, Time elapsed: 0.093 sec
    [junit] Test org.apache.hadoop.mapred.join.TestTupleWritable FAILED
    [junit] Running org.apache.hadoop.mapred.join.TestWrappedRecordReaderClassloader
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Tests run: 1, Failures: 0, Errors: 1, Time elapsed: 0.159 sec
    [junit] Test org.apache.hadoop.mapred.join.TestWrappedRecordReaderClassloader FAILED
    [junit] Running org.apache.hadoop.mapred.lib.TestChainMapReduce
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Tests run: 1, Failures: 0, Errors: 1, Time elapsed: 0.153 sec
    [junit] Test org.apache.hadoop.mapred.lib.TestChainMapReduce FAILED
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Running org.apache.hadoop.mapred.lib.TestCombineFileInputFormat
    [junit] 	at org.apache.hadoop.fs.Path.<init>(Path.java:89)
    [junit] 	at org.apache.hadoop.mapred.lib.TestCombineFileInputFormat.<init>(TestCombineFileInputFormat.java:71)
    [junit] 	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
    [junit] 	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:39)
    [junit] 	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:27)
    [junit] 	at java.lang.reflect.Constructor.newInstance(Constructor.java:513)
    [junit] 	at junit.framework.TestSuite.createTest(TestSuite.java:131)
    [junit] 	at junit.framework.TestSuite.addTestMethod(TestSuite.java:114)
    [junit] 	at junit.framework.TestSuite.<init>(TestSuite.java:75)
    [junit] 	at org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner.run(JUnitTestRunner.java:396)
    [junit] 	at org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner.launch(JUnitTestRunner.java:911)
    [junit] 	at org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner.main(JUnitTestRunner.java:768)
    [junit] ))
    [junit] Tests run: 1, Failures: 1, Errors: 0, Time elapsed: 0.042 sec
    [junit] Test org.apache.hadoop.mapred.lib.TestCombineFileInputFormat FAILED
    [junit] Running org.apache.hadoop.mapred.lib.TestDelegatingInputFormat
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Tests run: 1, Failures: 0, Errors: 1, Time elapsed: 0.155 sec
    [junit] Test org.apache.hadoop.mapred.lib.TestDelegatingInputFormat FAILED
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Running org.apache.hadoop.mapred.lib.TestKeyFieldBasedComparator
    [junit] 	at org.apache.hadoop.conf.Configuration.<clinit>(Configuration.java:168)
    [junit] 	at org.apache.hadoop.mapred.HadoopTestCase.createJobConf(HadoopTestCase.java:203)
    [junit] 	at org.apache.hadoop.mapred.lib.TestKeyFieldBasedComparator.<init>(TestKeyFieldBasedComparator.java:46)
    [junit] 	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
    [junit] 	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:39)
    [junit] 	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:27)
    [junit] 	at java.lang.reflect.Constructor.newInstance(Constructor.java:513)
    [junit] 	at junit.framework.TestSuite.createTest(TestSuite.java:131)
    [junit] 	at junit.framework.TestSuite.addTestMethod(TestSuite.java:114)
    [junit] 	at junit.framework.TestSuite.<init>(TestSuite.java:75)
    [junit] 	at org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner.run(JUnitTestRunner.java:396)
    [junit] 	at org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner.launch(JUnitTestRunner.java:911)
    [junit] 	at org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner.main(JUnitTestRunner.java:768)
    [junit] ))
    [junit] Tests run: 1, Failures: 1, Errors: 0, Time elapsed: 0.041 sec
    [junit] Test org.apache.hadoop.mapred.lib.TestKeyFieldBasedComparator FAILED
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Running org.apache.hadoop.mapred.lib.TestLineInputFormat
    [junit] Tests run: 1, Failures: 0, Errors: 1, Time elapsed: 0 sec
    [junit] Test org.apache.hadoop.mapred.lib.TestLineInputFormat FAILED
    [junit] Running org.apache.hadoop.mapred.lib.TestMultipleInputs
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Tests run: 2, Failures: 0, Errors: 2, Time elapsed: 0.194 sec
    [junit] Test org.apache.hadoop.mapred.lib.TestMultipleInputs FAILED
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Running org.apache.hadoop.mapred.lib.TestMultipleOutputs
    [junit] Tests run: 1, Failures: 0, Errors: 1, Time elapsed: 0 sec
    [junit] Test org.apache.hadoop.mapred.lib.TestMultipleOutputs FAILED
    [junit] Running org.apache.hadoop.mapred.lib.TestMultithreadedMapRunner
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Tests run: 3, Failures: 0, Errors: 3, Time elapsed: 0.156 sec
    [junit] Test org.apache.hadoop.mapred.lib.TestMultithreadedMapRunner FAILED
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Running org.apache.hadoop.mapred.lib.TestTotalOrderPartitioner
    [junit] Tests run: 1, Failures: 0, Errors: 1, Time elapsed: 0 sec
    [junit] Test org.apache.hadoop.mapred.lib.TestTotalOrderPartitioner FAILED
    [junit] Running org.apache.hadoop.mapred.lib.aggregate.TestAggregates
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Tests run: 1, Failures: 0, Errors: 1, Time elapsed: 0.157 sec
    [junit] Test org.apache.hadoop.mapred.lib.aggregate.TestAggregates FAILED
    [junit] Running org.apache.hadoop.mapred.lib.db.TestConstructQuery
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Tests run: 1, Failures: 0, Errors: 1, Time elapsed: 0.156 sec
    [junit] Test org.apache.hadoop.mapred.lib.db.TestConstructQuery FAILED
    [junit] Running org.apache.hadoop.mapred.lib.db.TestDBJob
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Tests run: 1, Failures: 0, Errors: 1, Time elapsed: 0.158 sec
    [junit] Test org.apache.hadoop.mapred.lib.db.TestDBJob FAILED
    [junit] Running org.apache.hadoop.mapred.pipes.TestPipes
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Tests run: 1, Failures: 0, Errors: 1, Time elapsed: 0.069 sec
    [junit] Test org.apache.hadoop.mapred.pipes.TestPipes FAILED
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Running org.apache.hadoop.mapreduce.TestMapReduceLazyOutput
    [junit] Tests run: 1, Failures: 0, Errors: 1, Time elapsed: 0 sec
    [junit] Test org.apache.hadoop.mapreduce.TestMapReduceLazyOutput FAILED
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Running org.apache.hadoop.mapreduce.TestMapReduceLocal
    [junit] Tests run: 1, Failures: 0, Errors: 1, Time elapsed: 0 sec
    [junit] Test org.apache.hadoop.mapreduce.TestMapReduceLocal FAILED
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Running org.apache.hadoop.net.TestNetworkTopology
    [junit] Tests run: 1, Failures: 0, Errors: 1, Time elapsed: 0 sec
    [junit] Test org.apache.hadoop.net.TestNetworkTopology FAILED
    [junit] Running org.apache.hadoop.net.TestScriptBasedMapping
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Tests run: 1, Failures: 0, Errors: 1, Time elapsed: 0.158 sec
    [junit] Test org.apache.hadoop.net.TestScriptBasedMapping FAILED
    [junit] Running org.apache.hadoop.net.TestSocketIOWithTimeout
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Tests run: 1, Failures: 0, Errors: 1, Time elapsed: 0.075 sec
    [junit] Test org.apache.hadoop.net.TestSocketIOWithTimeout FAILED
    [junit] Running org.apache.hadoop.record.TestBuffer
    [junit] Tests run: 6, Failures: 0, Errors: 0, Time elapsed: 0.056 sec
    [junit] Running org.apache.hadoop.record.TestRecordIO
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Tests run: 5, Failures: 1, Errors: 4, Time elapsed: 0.115 sec
    [junit] Test org.apache.hadoop.record.TestRecordIO FAILED
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Running org.apache.hadoop.record.TestRecordMR
    [junit] Tests run: 1, Failures: 0, Errors: 1, Time elapsed: 0 sec
    [junit] Test org.apache.hadoop.record.TestRecordMR FAILED
    [junit] Running org.apache.hadoop.record.TestRecordVersioning
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Tests run: 2, Failures: 0, Errors: 2, Time elapsed: 0.096 sec
    [junit] Test org.apache.hadoop.record.TestRecordVersioning FAILED
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Running org.apache.hadoop.record.TestRecordWritable
    [junit] Tests run: 1, Failures: 0, Errors: 1, Time elapsed: 0 sec
    [junit] Test org.apache.hadoop.record.TestRecordWritable FAILED
    [junit] Running org.apache.hadoop.security.TestAccessControlList
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Tests run: 2, Failures: 0, Errors: 2, Time elapsed: 0.088 sec
    [junit] Test org.apache.hadoop.security.TestAccessControlList FAILED
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Running org.apache.hadoop.security.TestPermission
    [junit] Tests run: 1, Failures: 0, Errors: 1, Time elapsed: 0 sec
    [junit] Test org.apache.hadoop.security.TestPermission FAILED
    [junit] Running org.apache.hadoop.security.TestUnixUserGroupInformation
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Tests run: 4, Failures: 0, Errors: 4, Time elapsed: 0.177 sec
    [junit] Test org.apache.hadoop.security.TestUnixUserGroupInformation FAILED
    [junit] Running org.apache.hadoop.security.authorize.TestConfiguredPolicy
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Tests run: 1, Failures: 0, Errors: 1, Time elapsed: 0.16 sec
    [junit] Test org.apache.hadoop.security.authorize.TestConfiguredPolicy FAILED
    [junit] Running org.apache.hadoop.security.authorize.TestServiceLevelAuthorization
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Tests run: 2, Failures: 0, Errors: 2, Time elapsed: 0.15 sec
    [junit] Test org.apache.hadoop.security.authorize.TestServiceLevelAuthorization FAILED
    [junit] seed=7334125600497481278
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Running org.apache.hadoop.tools.TestDistCh
    [junit] Tests run: 1, Failures: 0, Errors: 1, Time elapsed: 0 sec
    [junit] Test org.apache.hadoop.tools.TestDistCh FAILED
    [junit] Running org.apache.hadoop.tools.TestJMXGet
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Tests run: 2, Failures: 0, Errors: 2, Time elapsed: 0.156 sec
    [junit] Test org.apache.hadoop.tools.TestJMXGet FAILED
    [junit] Running org.apache.hadoop.util.TestCyclicIteration
    [junit] 
    [junit] 
    [junit] integers=[]
    [junit] map={}
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Tests run: 1, Failures: 0, Errors: 1, Time elapsed: 0.091 sec
    [junit] Test org.apache.hadoop.util.TestCyclicIteration FAILED
    [junit] Running org.apache.hadoop.util.TestGenericsUtil
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Tests run: 6, Failures: 0, Errors: 6, Time elapsed: 0.216 sec
    [junit] Test org.apache.hadoop.util.TestGenericsUtil FAILED
    [junit] Running org.apache.hadoop.util.TestIndexedSort
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Tests run: 2, Failures: 0, Errors: 2, Time elapsed: 0.094 sec
    [junit] Test org.apache.hadoop.util.TestIndexedSort FAILED
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Running org.apache.hadoop.util.TestProcfsBasedProcessTree
    [junit] Tests run: 1, Failures: 0, Errors: 1, Time elapsed: 0 sec
    [junit] Test org.apache.hadoop.util.TestProcfsBasedProcessTree FAILED
    [junit] Running org.apache.hadoop.util.TestReflectionUtils
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Tests run: 5, Failures: 0, Errors: 5, Time elapsed: 0.095 sec
    [junit] Test org.apache.hadoop.util.TestReflectionUtils FAILED
    [junit] Running org.apache.hadoop.util.TestShell
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Tests run: 2, Failures: 0, Errors: 2, Time elapsed: 0.161 sec
    [junit] Test org.apache.hadoop.util.TestShell FAILED
    [junit] Running org.apache.hadoop.util.TestStringUtils
    [junit] ERROR: [CLOVER] WARNING: The Clover version used in instrumentation does not match
the runtime version. You need to run instrumented classes against the same version of Clover
that you instrumented with.
    [junit] ERROR: [CLOVER] WARNING: Instr=2.3.2#20080715162047895,Runtime=2.4.3#20090309105214239
    [junit] Tests run: 4, Failures: 0, Errors: 4, Time elapsed: 0.092 sec
    [junit] Test org.apache.hadoop.util.TestStringUtils FAILED

BUILD FAILED
http://hudson.zones.apache.org/hudson/job/Hadoop-trunk/ws/trunk/build.xml :769: Tests failed!

Total time: 120 minutes 30 seconds
Publishing Javadoc
Recording test results
Recording fingerprints
Publishing Clover coverage report...


Mime
View raw message